跳到正文
API 参考
API 参考

删除 API 密钥

吊销 Standard API 密钥,而不删除历史用量记录。

吊销 Standard API 密钥,而不删除历史用量记录。

端点

DELETE /api/v1/keys/:id
基础 URL
https://runapi.ai
API 版本
v1
身份验证
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
授权
需要账户管理员的 Management API 密钥,并且只允许删除其用户拥有的密钥。
02

请求

JSON 请求体

只能在列出的请求位置发送值。

路径参数1 个字段
idstring
必填

API key prefix ID, for example token_123.

03

成功响应

HTTP 204

DELETE /api/v1/keys/:id

此响应不包含正文。

04

错误响应 (401)

HTTP 401
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Authentication required"
}
05

错误响应 (403)

HTTP 403
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Management API key required"
}
06

错误响应 (403)

HTTP 403
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Account admin required"
}
07

错误响应 (404)

HTTP 404
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Resource not found"
}
08

cURL 示例

CURL
curl -X DELETE https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'